columns_dot_self.hpp File Reference
`#include <stan/math/prim/mat/fun/Eigen.hpp>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T , int R, int C>
Eigen::Matrix< T, 1, C > | stan::math::columns_dot_self (const Eigen::Matrix< T, R, C > &x)
| Returns the dot product of each column of a matrix with itself. More...

[ Stan Home Page ] © 2011–2016, Stan Development Team.